/** When your routing table is too long, you can split it into small modules**/

import Layout from '@/layout'

const cargoOwnerManagementRouter = {
    path: '/cargoOwnerManagement',
    component: Layout,
    redirect: 'noRedirect',
    t: new Date(),
    name: 'cargoOwnerManagement',
    meta: {
        title: '货主管理',
        icon: 'huozhuguanli',
        checkIcon: 'checkhuozhuguanli',
        module: 'changyuntong.huozhuguanli',
    },
    children: [{
            path: 'empowerExamine',
            name: 'empowerExamine',
            t: new Date(),
            component: () =>
                import ('@/views/cargoOwnerManagement/empowerExamine'),
            meta: {
                title: '货主信息',
                icon: '',
                module: 'changyuntong.huozhuguanli',
            }
        },
        {
            path: 'merchantVerification',
            name: 'merchantVerification',
            t: new Date(),
            component: () =>
                import ('@/views/cargoOwnerManagement/merchantVerification'),
            meta: {
                title: '授权审核',
                icon: '',
                module: 'changyuntong.huozhuguanli.shouquan.view',
            }
        },
        {
            path: 'taskAudit',
            name: 'taskAudit',
            t: new Date(),
            component: () =>
                import ('@/views/cargoOwnerManagement/taskAudit'),
            meta: {
                title: '任务审核',
                icon: '',
                module: 'changyuntong.huozhuguanli.renwu.view',
            }
        }
    ]
}

export default cargoOwnerManagementRouter