/** When your routing table is too long, you can split it into small modules**/

import Layout from '@/layout'

const driverManagementRouter = {
    path: '/driverManagement',
    component: Layout,
    redirect: 'noRedirect',
    name: 'driverManagement',
    meta: {
        title: '司机管理',
        icon: 'sijiguanli',
        checkIcon: 'checksijiguanli',
        module: 'changyuntong.sijiguanli',
    },
    children: [{
            path: 'identityExamine',
            name: 'identityExamine',
            component: () =>
                import ('@/views/driverManagement/identityExamine'),
            meta: {
                title: '司机信息',
                icon: '',
                module: 'changyuntong.sijiguanli.view',

            }
        },
        {
            path: 'fleetInfo',
            name: 'fleetInfo',
            component: () =>
                import ('@/views/driverManagement/fleetInfo'),
            meta: {
                title: '车队信息',
                icon: '',
                module: 'changyuntong.sijiguanli.chedui.view',
            }
        },
        {
            path: 'vehicleExamine',
            name: 'vehicleExamine',
            component: () =>
                import ('@/views/driverManagement/vehicleExamine'),
            meta: {
                title: '车辆信息',
                icon: '',
                module: 'changyuntong.sijiguanli.cheliang.view',
            }
        },
        {
            path: 'carCaptain',
            name: 'carCaptain',
            component: () =>
                import ('@/views/driverManagement/carCaptain'),
            meta: {
                title: '车队长信息',
                icon: '',
                module: 'changyuntong.sijiguanli.cheliang.view',
            }
        },

    ]
}

export default driverManagementRouter