/** When your routing table is too long, you can split it into small modules**/

import Layout from '@/layout'

const orderManagementRouter = {
    path: '/orderManagement',
    component: Layout,
    redirect: 'noRedirect',
    name: 'orderManagement',
    meta: {
        title: '订单管理',
        icon: 'dingdanguanli',
        checkIcon: 'checkdingdanguanli',
        module: 'changyuntong.dingdanguanli',
    },
    alwaysShow: true,
    children: [{
            path: 'orderAudit',
            name: 'orderAudit',
            component: () =>
                import ('@/views/orderManagement/orderAudit'),
            meta: {
                title: '订单信息',
                icon: '',
                module: 'changyuntong.dingdanguanli.view',
            }
        },
        {
            path: 'trajectory',
            name: 'trajectory',
            component: () =>
                import ('@/views/orderManagement/trajectory'),
            meta: {
                title: '轨迹',
                icon: '',
                module: 'changyuntong.dingdanguanli.view',
            },
            hidden: true
        }
    ]
}

export default orderManagementRouter